<?php

	$multipurpose_blog_hi_first_color = get_theme_mod('multipurpose_blog_hi_first_color');
	$ultimate_blogger_custom_css ='';

	/*------------------ Global First Color -----------*/

	if ($multipurpose_blog_hi_first_color) {
		$ultimate_blogger_custom_css .= ':root {';
		$ultimate_blogger_custom_css .= '--first-theme-color: ' . esc_attr($multipurpose_blog_hi_first_color) . ' !important;';
		$ultimate_blogger_custom_css .= '} ';
	}

	/*-------------- Footer Text -------------------*/
	$multipurpose_blog_footer_text_align = get_theme_mod('multipurpose_blog_footer_text_align','center');
	$ultimate_blogger_custom_css .='.copyright{';
		$ultimate_blogger_custom_css .='text-align: '.esc_attr($multipurpose_blog_footer_text_align).' !important;';
	$ultimate_blogger_custom_css .='}';

	// Footer Content Alignment
	$multipurpose_blog_footer_content = get_theme_mod( 'multipurpose_blog_footer_content','Left');
    if($multipurpose_blog_footer_content == 'Left'){
		$ultimate_blogger_custom_css .='.footer-wp ul, .copyright-wrapper, .footer-wp .widget{';
		$ultimate_blogger_custom_css .='text-align: left;';
		$ultimate_blogger_custom_css .='}';
	}else if($multipurpose_blog_footer_content == 'Center'){
		$ultimate_blogger_custom_css .='.footer-wp ul, .copyright-wrapper, .footer-wp .widget{';
			$ultimate_blogger_custom_css .='text-align: center;';
		$ultimate_blogger_custom_css .='}';
		$ultimate_blogger_custom_css .='
		@media screen and (max-width:767px) {
			.footer-wp ul, .copyright-wrapper, .footer-wp .widget{';
				$ultimate_blogger_custom_css .='text-align: left;';
				$ultimate_blogger_custom_css .='} }';
	}else if($multipurpose_blog_footer_content == 'Right'){
		$ultimate_blogger_custom_css .='.footer-wp ul, .copyright-wrapper, .footer-wp .widget{';
			$ultimate_blogger_custom_css .='text-align: right;';
		$ultimate_blogger_custom_css .='}';
		$ultimate_blogger_custom_css .='
		@media screen and (max-width:767px) {
			.footer-wp ul, .copyright-wrapper, .footer-wp .widget{';
				$ultimate_blogger_custom_css .='text-align: left;';
				$ultimate_blogger_custom_css .='} }';
	}

	// featured image setting
	$multipurpose_blog_image_border_radius = get_theme_mod('multipurpose_blog_image_border_radius', 0);
	$ultimate_blogger_custom_css .='.main_image img{';
		$ultimate_blogger_custom_css .='border-radius: '.esc_attr($multipurpose_blog_image_border_radius).'%;';
	$ultimate_blogger_custom_css .='}';

	$multipurpose_blog_image_box_shadow = get_theme_mod('multipurpose_blog_image_box_shadow',0);
	$ultimate_blogger_custom_css .='.main_image img, .feature-box img{';
		$ultimate_blogger_custom_css .='box-shadow: '.esc_attr($multipurpose_blog_image_box_shadow).'px '.esc_attr($multipurpose_blog_image_box_shadow).'px '.esc_attr($multipurpose_blog_image_box_shadow).'px #5e5e5e;';
	$ultimate_blogger_custom_css .='}';

	// back to top icon color
	$multipurpose_blog_scroll_icon_color = get_theme_mod('multipurpose_blog_scroll_icon_color');
	$ultimate_blogger_custom_css .='#scrollbutton i{';
		$ultimate_blogger_custom_css .='color: '.esc_attr($multipurpose_blog_scroll_icon_color).';';
	$ultimate_blogger_custom_css .='}';

	//Back to Top bg color
	$multipurpose_blog_scroll_icon_background = get_theme_mod('multipurpose_blog_scroll_icon_background');
	$ultimate_blogger_custom_css .='#scrollbutton i{';
		$ultimate_blogger_custom_css .='background-color: '.esc_attr($multipurpose_blog_scroll_icon_background).';';
		$ultimate_blogger_custom_css .='border-color: '.esc_attr($multipurpose_blog_scroll_icon_background).';';
	$ultimate_blogger_custom_css .='}';

	//Copyright text color
	$multipurpose_blog_copyright_text_color = get_theme_mod('multipurpose_blog_copyright_text_color');
	$ultimate_blogger_custom_css .='.copyright-wrapper p, .copyright-wrapper p a{';
		$ultimate_blogger_custom_css .='color: '.esc_attr($multipurpose_blog_copyright_text_color).';';
	$ultimate_blogger_custom_css .='}';

	//Copyright background css
	$multipurpose_blog_copyright_text_background = get_theme_mod('multipurpose_blog_copyright_text_background');
	$ultimate_blogger_custom_css .='.copyright-wrapper{';
		$ultimate_blogger_custom_css .='background-color: '.esc_attr($multipurpose_blog_copyright_text_background).';';
	$ultimate_blogger_custom_css .='}';

	// social icon settings
	$multipurpose_blog_social_icon_size = get_theme_mod('multipurpose_blog_social_icon_size');
	$ultimate_blogger_custom_css .='#header .socialbox i{';
		$ultimate_blogger_custom_css .='font-size: '.esc_attr($multipurpose_blog_social_icon_size).'px;';
	$ultimate_blogger_custom_css .='}';

	// menu hover color
	$multipurpose_blog_menu_hover_color = get_theme_mod('multipurpose_blog_menu_hover_color');

	$ultimate_blogger_custom_css .='.primary-navigation a:hover, .primary-navigation ul li a:hover{';
			$ultimate_blogger_custom_css .='color: '.esc_attr($multipurpose_blog_menu_hover_color).' !important;';
	$ultimate_blogger_custom_css .='}';

	// Sub menu bg hover color
	$multipurpose_blog_sub_menu_bg_hover_color = get_theme_mod('multipurpose_blog_sub_menu_bg_hover_color');
	$ultimate_blogger_custom_css .='.primary-navigation ul.sub-menu li a:hover{';
			$ultimate_blogger_custom_css .='background-color: '.esc_attr($multipurpose_blog_sub_menu_bg_hover_color).'!important;';
	$ultimate_blogger_custom_css .='}';

	//First Cap
	$multipurpose_blog_show_first_caps = get_theme_mod('multipurpose_blog_show_first_caps', 'false');
	if($multipurpose_blog_show_first_caps == 'true' ){
	$ultimate_blogger_custom_css .='.services .mainbox p:nth-of-type(1)::first-letter{';
	$ultimate_blogger_custom_css .=' font-size: 55px; font-weight: 600;';
	$ultimate_blogger_custom_css .=' margin-right: 6px;';
	$ultimate_blogger_custom_css .=' line-height: 1;';
	$ultimate_blogger_custom_css .='}';
	}elseif($multipurpose_blog_show_first_caps == 'false' ){
	$ultimate_blogger_custom_css .='.services .mainbox p:nth-of-type(1)::first-letter {';
	$ultimate_blogger_custom_css .='display: none;';
	$ultimate_blogger_custom_css .='}';
	}

	/*-------------- Post Button  -------------------*/
	$multipurpose_blog_post_button_padding_top = get_theme_mod('multipurpose_blog_post_button_padding_top');
	$ultimate_blogger_custom_css .='.blogbtn a, #comments input[type="submit"].submit{';
		$ultimate_blogger_custom_css .='padding-top: '.esc_attr($multipurpose_blog_post_button_padding_top).'px !important; padding-bottom: '.esc_attr($multipurpose_blog_post_button_padding_top).'px !important;';
	$ultimate_blogger_custom_css .='}';

	$multipurpose_blog_post_button_padding_right = get_theme_mod('multipurpose_blog_post_button_padding_right');
	$ultimate_blogger_custom_css .='.blogbtn a, #comments input[type="submit"].submit{';
		$ultimate_blogger_custom_css .='padding-left: '.esc_attr($multipurpose_blog_post_button_padding_right).'px !important; padding-right: '.esc_attr($multipurpose_blog_post_button_padding_right).'px !important;';
	$ultimate_blogger_custom_css .='}';

	$multipurpose_blog_post_button_border_radius = get_theme_mod('multipurpose_blog_post_button_border_radius');
	$ultimate_blogger_custom_css .='.blogbtn a, #comments input[type="submit"].submit{';
		$ultimate_blogger_custom_css .='border-radius: '.esc_attr($multipurpose_blog_post_button_border_radius).'px;';
	$ultimate_blogger_custom_css .='}';

	// preloader background image
	$multipurpose_blog_preloader_bg_image = get_theme_mod('multipurpose_blog_preloader_bg_image');
	if($multipurpose_blog_preloader_bg_image != false){
		$ultimate_blogger_custom_css .='.frame{';
			$ultimate_blogger_custom_css .='background: url('.esc_attr($multipurpose_blog_preloader_bg_image).'); background-size: cover;';
		$ultimate_blogger_custom_css .='}';
	}

	/*----------- Preloader Color Option  ----------------*/
	$multipurpose_blog_preloader_bg_color_option = get_theme_mod('multipurpose_blog_preloader_bg_color_option');
	$multipurpose_blog_preloader_icon_color_option = get_theme_mod('multipurpose_blog_preloader_icon_color_option');
	$ultimate_blogger_custom_css .='.frame{';
		$ultimate_blogger_custom_css .='background-color: '.esc_attr($multipurpose_blog_preloader_bg_color_option).';';
	$ultimate_blogger_custom_css .='}';

	$ultimate_blogger_custom_css .='.dot-1,.dot-2,.dot-3{';
		$ultimate_blogger_custom_css .='background-color: '.esc_attr($multipurpose_blog_preloader_icon_color_option).';';
	$ultimate_blogger_custom_css .='}';

	//slider button bg color
	$multipurpose_blog_slider_btn_bg_color = get_theme_mod('multipurpose_blog_slider_btn_bg_color');
	$ultimate_blogger_custom_css .='#slider .slide-button a{';
		$ultimate_blogger_custom_css .='background-color: '.esc_attr($multipurpose_blog_slider_btn_bg_color).';';
	$ultimate_blogger_custom_css .='}';

	// grid post image setting
	$multipurpose_blog_grid_image_border_radius = get_theme_mod('multipurpose_blog_grid_image_border_radius', 0);
	$ultimate_blogger_custom_css .='.grid-box .main_image img{';
		$ultimate_blogger_custom_css .='border-radius: '.esc_attr($multipurpose_blog_grid_image_border_radius).'%;';
	$ultimate_blogger_custom_css .='}';

	$multipurpose_blog_grid_image_box_shadow = get_theme_mod('multipurpose_blog_grid_image_box_shadow',0);
	$ultimate_blogger_custom_css .='.grid-box .main_image img{';
		$ultimate_blogger_custom_css .='box-shadow: '.esc_attr($multipurpose_blog_grid_image_box_shadow).'px '.esc_attr($multipurpose_blog_grid_image_box_shadow).'px '.esc_attr($multipurpose_blog_grid_image_box_shadow).'px #b5b5b5;';
	$ultimate_blogger_custom_css .='}';

	// Fixed Copyright
	$multipurpose_blog_fixed_copyright = get_theme_mod( 'multipurpose_blog_display_fixed_copyright',false);
	if($multipurpose_blog_fixed_copyright == true && get_theme_mod( 'multipurpose_blog_sticky_copyright',false) != true){
    	$ultimate_blogger_custom_css .='.fixed-copyright{';
			$ultimate_blogger_custom_css .='position:static;';
		$ultimate_blogger_custom_css .='} ';
	}
    if($multipurpose_blog_fixed_copyright == true){
    	$ultimate_blogger_custom_css .='@media screen and (max-width:575px) {';
		$ultimate_blogger_custom_css .='.fixed-copyright{';
			$ultimate_blogger_custom_css .='position:fixed;';
		$ultimate_blogger_custom_css .='} }';
	}else if($multipurpose_blog_fixed_copyright == false){
		$ultimate_blogger_custom_css .='@media screen and (max-width:575px){';
		$ultimate_blogger_custom_css .='.fixed-copyright{';
			$ultimate_blogger_custom_css .='position:static;';
		$ultimate_blogger_custom_css .='} }';
	}